This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 239163 - (perl-Net-IPv6Addr) Review Request: perl-Net-IPv6Addr - Perl module to check validity of IPv6 addresses
Review Request: perl-Net-IPv6Addr - Perl module to check validity of IPv6 add...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
: 239160 (view as bug list)
Depends On: perl-Net-IPv4Addr perl-Math-Base85
Blocks: perl-Net-Packet
  Show dependency treegraph
 
Reported: 2007-05-05 09:34 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 18:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:34:24 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv6Addr.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv6Addr-0.2-1.fc7.src.rpm

Description: 
Net::IPv6Addr checks strings for valid IPv6 addresses, as specified in
RFC1884. You throw possible addresses at it, it either accepts them or throws
an exception.
Comment 1 Sindre Pedersen Bjørdal 2007-05-05 09:35:12 EDT
*** Bug 239160 has been marked as a duplicate of this bug. ***
Comment 2 Chris Weyl 2007-05-11 19:52:58 EDT
This package has a prereq on Math::Base85, but Math::Base85 is currently not
available in the fedora collection.  This is needed both for certain features of
this module as well as to fully enable the test suite.
Comment 3 Chris Weyl 2007-05-27 17:55:36 EDT
"Artistic or GPL" should be "GPL or Artistic".

Missing BRs on:
    perl(Math::Base85)
    perl(ExtUtils::MakeMaker)

Package should have an explicit "Requires: perl(Math::Base85)" as the dep is
not being picked up automagically.

There are a number of rfc docs included.  Why not add these to %doc?

Make the above changes, and I'll approve. :)

+ source files match upstream:
 cd06f0422ddb3ac119e2ef1e27aa9339  Net-IPv6Addr-0.2.tar.gz
 cd06f0422ddb3ac119e2ef1e27aa9339  Net-IPv6Addr-0.2.tar.gz.srpm
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate (noarch)
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
X final provides and requires are sane:
 ** perl-Net-IPv6Addr-0.2-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Net::IPv6Addr) = 0.2
 perl-Net-IPv6Addr = 0.2-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Carp)  
 perl(Net::IPv4Addr)  
 perl(strict)  
 perl(vars) 
+ %check is present and all tests pass:
 All tests successful.
 Files=9, Tests=287,  1 wallclock secs ( 0.70 cusr +  0.20 csys =  0.90 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 4 Sindre Pedersen Bjørdal 2007-05-28 08:04:39 EDT
Updated:

- Fix license
- Add explicit Requires on perl(Math::Base85)
- Add missing BRs

Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv6Addr.spec
SRPM URL:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv6Addr-0.2-3.fc7.src.rpm
Comment 5 Chris Weyl 2007-05-28 14:10:24 EDT
APPROVED
Comment 6 Sindre Pedersen Bjørdal 2007-05-28 16:27:31 EDT
New Package CVS Request
=======================
Package Name: perl-Net-IPv6Addr
Short Description: Perl module to check validity of IPv6 addresses
Owners: foolish@guezz.net
Branches: FC-6 F-7 EL-4 EL-5
Comment 7 Dennis Gilmore 2007-05-28 16:57:18 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.